Bug 213281 - vnc vncconnect / vncconfig -connect doesn't work
vnc vncconnect / vncconfig -connect doesn't work
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: vnc (Show other bugs)
5.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-31 11:13 EST by David L. Parsley
Modified: 2013-04-30 19:34 EDT (History)
1 user (show)

See Also:
Fixed In Version: 4.1.2-4.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-18 06:29:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David L. Parsley 2006-10-31 11:13:59 EST
Description of problem:
I encountered this issue when performing a vnc install using vncconnect, it
reports 'Connected!' - but it's not.  netstat -t shows no connection, the
workstation sees no connection.  At the shell on the box being installed, if I
manually run 'vncconfig -display :1 -connect (workstation ip)' I get a protocol
error.  NOTE: this is on x86_64; it's not an issue w/ normal x86.
Here's the error:
X Error of failed request:  BadLength (poly request too large or internal Xlib
length error)
  Major opcode of failed request:  134 (VNC-EXTENSION)
  Minor opcode of failed request:  7 ()
  Serial number of failed request:  7
  Current serial number in output stream:  7


Also note this issue is actually likely with 'vnc-server'

How reproducible:
Always

Steps to Reproduce:
1. Run 'vncserver'
2. Run 'vncconfig -display :1 -connect (some host addr)'
3.
  
Actual results:
Error message, no connect

Expected results:
Connection

Additional info:
Comment 1 Adam Tkac 2006-11-01 04:20:13 EST
please, could you specify which version of vnc are you using?? I've fixed
vncconfig crash problem in vnc-4.1.2-4.el5 or vnc-4.1.2-5.fc6. Can you please
try to reproduce this bug with one of these packages??
Comment 2 David L. Parsley 2006-11-01 08:16:30 EST
These are version 4.1.2-3.  I'll try this out on the newer versions later today.
 Will the next RHEL5 beta/release automatically get the newer version?
Comment 3 Adam Tkac 2006-11-01 08:46:47 EST
patch will be avaliable very soon. Could you please test this package?? I think,
this problem is fixed here. Thank you

http://download.fedora.redhat.com/pub/fedora/linux/core/updates/6/x86_64/vnc-4.1.2-5.fc6.x86_64.rpm
Comment 4 Adam Tkac 2006-11-07 05:43:09 EST
you can update to vnc-4.1.2-4.el5 in rhel5-beta2 now. I think this bug is fixed
here. Could you try to reproduce it??
Comment 5 David L. Parsley 2006-11-17 14:17:17 EST
ok, I was finally actually able to get hold of beta 2 today, and can verify that
it's fixed for 64bit now.  The fixed version is 4.1.2-4.el5, as shown above.  

Note You need to log in before you can comment on or make changes to this bug.